using System.ComponentModel;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    /// <summary>
    ///  机械臂码垛工位DB530
    /// </summary>
    [Description("530")]
    public interface IRobot530 : IProtocol
    {
        [Description("垛任务号")]
        int PalletID { get; set; }

        [Description("垛型")]
        short Type { get; set; }
         
        /// <summary>
        ///  最大码垛数量
        /// </summary>
        [Description("最大数量")]
        public short MaxQty { get; set; }
        [Description("指令类型")]
        public RobotStationCmd Cmd{ get; set; }

        /// <summary>
        ///  凭证号，触发信号
        /// </summary>
        [Description("凭证号")]
        public short VoucherNo { get; set; }
    }
}
